
Redmine - Defect #3769

Project Activity Page Throws Error

2009-08-23 01:25 - Erik Schoster

Status: Closed Start date: 2009-08-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

Hello,  viewing any project activity page on my installation of Redmine throws an Internal Error.

Mysql version:

Server version: 5.0.67-log MySQL Community Server (GPL)

Ruby info:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.1

Rails version             2.0.2

Active Record version     2.0.2

Action Pack version       2.0.2

Active Resource version   2.0.2

Action Mailer version     2.0.2

Active Support version    2.0.2

Edge Rails revision       rel_2-0-2

Environment               development

Database adapter          mysql

Log tail:

Processing ProjectsController#activity (for 69.112.3.232 at 2009-08-22 16:09:46) [GET]

Session ID: d9074d8ba29f89186fe36352bca6dc92

Parameters: {"action"=>"activity", "id"=>"messagefromhome", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/activity

ActionView::TemplateError (undefined method `length' for #<Enumerable::Enumerator:0x2afa98a1e6f0>) on line #11 of

projects/activity.rhtml:

8: <% @events_by_day[day].sort {|x,y| y.event_datetime <=> x.event_datetime }.each do |e| ->

9:   <dt class="<= e.event_type >"><span class="time"><= format_time(e.event_datetime, false) ></span>

10:   <= content_tag('span', h(e.project), :class => 'project') if @project.nil? || Herve Harster != e.project >

11:   <= link_to format_activity_title(e.event_title), e.event_url ></dt>

12:   <dd>< unless e.event_description.blank? ->

13:   <span class="description"><= format_activity_description(e.event_description) ></span><br />

14:   < end %>

vendor/rails/actionpack/lib/action_view/helpers/text_helper.rb:50:in `truncate'

    app/helpers/application_helper.rb:95:in `truncate_single_line'

    app/helpers/projects_helper.rb:25:in `format_activity_title'

    app/views/projects/activity.rhtml:11:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:8:in `each'

    app/views/projects/activity.rhtml:8:in `_run_erb_47app47views47projects47activity46rhtml'

    app/views/projects/activity.rhtml:5:in `each'

    app/views/projects/activity.rhtml:5:in `_run_erb_47app47views47projects47activity46rhtml'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `send'

    vendor/rails/actionpack/lib/action_view/base.rb:637:in `compile_and_render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:365:in `render_template'

    vendor/rails/actionpack/lib/action_view/base.rb:316:in `render_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:1100:in `render_for_file'

    vendor/rails/actionpack/lib/action_controller/base.rb:836:in `render_with_no_layout'

    vendor/rails/actionpack/lib/action_controller/layout.rb:262:in `render_without_benchmark'
    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1153:in `default_render'

    vendor/rails/actionpack/lib/action_controller/base.rb:1159:in `perform_action_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:697:in `call_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:689:in `perform_action_without_benchm

ark'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_re

scue'

    vendor/rails/actionpack/lib/action_controller/rescue.rb:199:in `perform_action_without_caching

'

    vendor/rails/actionpack/lib/action_controller/caching.rb:678:in `passenger_orig_perform_action

'

    vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in 

`cache'

    vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

    vendor/rails/actionpack/lib/action_controller/caching.rb:677:in `passenger_orig_perform_action

'

    /dh/passenger/lib/phusion_passenger/railz/request_handler.rb:60:in `perform_action'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `send'

    vendor/rails/actionpack/lib/action_controller/base.rb:524:in `process_without_filters'

    vendor/rails/actionpack/lib/action_controller/filters.rb:685:in `process_without_session_manag

ement_support'

    vendor/rails/actionpack/lib/action_controller/session_management.rb:123:in `process'

    vendor/rails/actionpack/lib/action_controller/base.rb:388:in `process'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:171:in `handle_request'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:115:in `dispatch'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:126:in `dispatch_cgi'

    vendor/rails/actionpack/lib/action_controller/dispatcher.rb:9:in `dispatch'

    /dh/passenger/lib/phusion_passenger/railz/request_handler.rb:45:in `process_request'

    /dh/passenger/lib/phusion_passenger/abstract_request_handler.rb:203:in `main_loop'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:340:in `start_request_handler

'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:298:in `handle_spawn_applicat

ion'

    /dh/passenger/lib/phusion_passenger/utils.rb:181:in `safe_fork'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:296:in `handle_spawn_applicat

ion'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:337:in `__send__'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:337:in `main_loop'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:187:in `start_synchronously'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:154:in `start'

    /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:192:in `start'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:257:in `spawn_rails_application'

    /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:251:in `spawn_rails_application'

    /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:250:in `spawn_rails_application'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:153:in `spawn_application'

    /dh/passenger/lib/phusion_passenger/spawn_manager.rb:282:in `handle_spawn_application'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:337:in `__send__'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:337:in `main_loop'

    /dh/passenger/lib/phusion_passenger/abstract_server.rb:187:in `start_synchronously'

    /dh/passenger/bin/passenger-spawn-server:55

 Rendering /home/hecanjog/projects.lovelymedia.org/public/500.html (500 Internal Server Error)

History

#1 - 2009-08-23 22:00 - Mischa The Evil

Erik Schoster wrote:

2025-06-01 2/3



Mysql version:

Server version: 5.0.67-log MySQL Community Server (GPL)

Ruby info:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.1

Rails version             2.0.2

Active Record version     2.0.2

Action Pack version       2.0.2

Active Resource version   2.0.2

Action Mailer version     2.0.2

Active Support version    2.0.2

Edge Rails revision       rel_2-0-2

Environment               development

Database adapter          mysql

 What is the Redmine version you are trying to install / run?

Looking at the used Rails version you are using Redmine 0.7.x which is pretty old actually. If you are using another version (so 0.8.x or trunk) you

have an issue with your Rails stack instead of that the issue is a Redmine defect.

A reference of which Rails versions are required for which Redmine versions can be found at RedmineInstall.

#2 - 2009-11-11 17:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to No feedback
